import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-edd14c28.js';
export { dq as ArgumentsType, ci as AsyncMutex, cD as AsyncReturnType, T as BinInput, c_ as Channel, cZ as ChannelMessageEvent, dc as CryptoEncoder, aq as DAY_MS, aN as Day, as as DayInput, aM as DayInputLegacy, ar as DayValue, aT as DecimalInput, aS as DecimalValue, d4 as DefaultListener, c8 as Disposable, c7 as Disposer, c6 as DisposerFunction, d5 as Emitter, d2 as EmitterAllHandler, d1 as EmitterHandler, d9 as Encoder, J as Json, db as JsonEncoder, d3 as ListenerSignature, c$ as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cN as LogLevelAlias, cO as LogLevelAliasKey, cP as LogLevelAliasType, cQ as LogMessage, cM as Logger, cT as LoggerConsoleHandler, cS as LoggerContext, cR as LoggerContextInterface, b as LoggerInterface, cY as LoggerMemoryHandler, dM as MemStorage, dL as MemStorageOptions, df as Message, dd as MessageAction, dj as MessageDefinitions, dk as MessageHub, de as MessageResult, dh as MessagesDefaultMethods, di as MessagesMethods, dg as MessagesOptions, ch as Mutex, dQ as NestedArray, da as NoopEncoder, O as ObjectStorage, cr as Pool, cn as PoolTask, cp as PoolTaskEvents, cl as PoolTaskFn, co as PoolTaskIdConflictResolution, cm as PoolTaskState, b1 as Primitive, dn as PubSub, dt as RPCFn, ds as RPCOptions, du as RPCReturn, am as RenderMessagesOptions, dr as ReturnType, bA as RoundingMode, cG as SerialQueue, bL as SortableItem, cF as TaskEvents, cE as TaskFn, a6 as Uint8ArrayToHexDump, a5 as Uint8ArrayToJson, W as Uint8ArrayToString, cd as UseDefer, ca as UseDispose, c5 as XRX, U as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bn as avg, bl as between, b$ as cloneJsonObject, b_ as cloneObject, bw as cmp, bv as composeOrderby, G as createArray, d0 as createLocalChannelPair, cs as createPromise, dl as createPromiseProxy, h as csv, aR as dateStringToDays, aQ as day, av as dayDay, aL as dayDiff, az as dayFromAny, aB as dayFromDate, aC as dayFromDateGMT, aG as dayFromParts, aH as dayFromString, aE as dayFromTimestamp, ay as dayFromToday, au as dayMonth, aI as dayMonthStart, aK as dayOffset, ax as dayToDate, aA as dayToDateGMT, aw as dayToParts, aF as dayToString, aD as dayToTimestamp, at as dayYear, aJ as dayYearStart, cI as debounce, aU as decimal, aX as decimalCentsPart, aV as decimalFromCents, aW as decimalToCents, N as decodeBase16, I as decodeBase32, Q as decodeBase58, S as decodeBase62, g as decrypt, aY as deepEqual, a_ as deepMerge, aZ as deepStripUndefinedInPlace, e as deriveKeyPbkdf2, dH as detect, d as digest, bZ as empty, M as encodeBase16, H as encodeBase32, P as encodeBase58, R as encodeBase62, bT as encodeQuery, f as encrypt, bN as endSortWeight, bV as ensureKey, bW as ensureKeyAsync, a3 as equalBinary, a$ as escapeHTML, bz as escapeRegExp, dy as fetchBasic, dz as fetchJson, dD as fetchOptionsBasicAuth, dB as fetchOptionsFormURLEncoded, dC as fetchOptionsJson, dA as fetchText, ap as fixBrokenUth8String, aO as forEachDay, c2 as forTimes, an as formatMessages, dO as formatMilliseconds, a2 as fromBase64, aa as fromCamelCase, $ as fromHex, dG as getGlobal, cJ as getGlobalContext, d6 as getGlobalEmitter, cL as getGlobalLogger, cU as getNamespaceFilterString, dF as getNavigator, bg as getSecureRandom, bh as getSecureRandomIfPossible, dN as getTimestamp, dE as getWindow, dw as httpMethod, cu as immediate, b4 as isArray, ba as isBoolean, dI as isBrowser, bC as isEven, bB as isHalf, b8 as isInteger, cK as isLocalHost, bb as isNullOrUndefined, b7 as isNumber, b2 as isObject, bp as isPrime, bo as isPrimeRX, b3 as isPrimitive, cB as isPromise, b5 as isRecord, b9 as isSafeInteger, b6 as isString, cy as isTimeout, bc as isUint8Array, Y as joinToUint8Array, bf as jsonStringify, be as jsonStringifySafe, bd as jsonStringifySorted, a4 as jsonToUint8Array, bY as last, d8 as lazyListener, bR as linkifyPlainText, c0 as memoize, c1 as memoizeAsync, d7 as messages, bO as moveSortWeight, bt as objectIsEmpty, br as objectMap, bs as objectMergeDisposable, dx as parseBasicAuth, dP as parseDate, cW as parseLogLevel, bu as parseOrderby, bU as parseQuery, dJ as platform, cC as promisify, e5 as qid, bi as randomBoolean, bk as randomFloat, bj as randomInt, r as randomUint8Array, c4 as regExpEscape, c3 as regExpString, ao as renderMessages, bE as roundDown, bH as roundHalfAwayFromZero, bI as roundHalfDown, bJ as roundHalfEven, bG as roundHalfOdd, bK as roundHalfTowardsZero, bF as roundHalfUp, bD as roundUp, bq as seededRandom, e0 as setUuidDefaultEncoding, bX as size, ct as sleep, bP as sortedItems, bx as sortedOrderby, bM as startSortWeight, ab as stringToBoolean, ad as stringToFloat, ac as stringToInteger, V as stringToUInt8Array, e7 as suid, e6 as suidBytes, e9 as suidBytesDate, e8 as suidDate, bm as sum, cH as throttle, cw as timeout, cv as timeoutReached, cx as timoutError, a0 as toBase64, a1 as toBase64Url, al as toBool, a7 as toCamelCase, a8 as toCapitalize, a9 as toCapitalizeWords, ai as toFloat, Z as toHex, bS as toHumanReadableUrl, aj as toInt, ak as toString, X as toUint8Array, by as toValidFilename, aP as today, cz as tryTimeout, e4 as uname, b0 as unescapeHTML, ck as useAsyncMutex, K as useBase, cc as useDefer, c9 as useDispose, cb as useDisposer, cg as useEventListener, dK as useExitHandler, cf as useInterval, cX as useLevelFilter, dm as useMessageHub, cj as useMutex, cV as useNamespaceFilter, cq as usePool, dp as usePubSub, dv as useRPC, bQ as useSorted, ce as useTimeout, e1 as uuid, dS as uuid32bit, dY as uuidB32, dT as uuidB62, dR as uuidBytes, e2 as uuidDecode, d_ as uuidDecodeB32, dW as uuidDecodeB62, dX as uuidDecodeV4, e3 as uuidEncode, dZ as uuidEncodeB32, dU as uuidEncodeB62, dV as uuidEncodeV4, d$ as uuidv4, ae as valueToBoolean, ag as valueToFloat, af as valueToInteger, ah as valueToString, cA as waitOn } from './uuid-edd14c28.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
